/* config.h -- (C) Geoffrey Reynolds, May 2006.

   Compiler dependant configuration.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
*/

#ifdef _MSC_VER
# ifndef inline
#  define inline __inline
# endif
#endif

#ifdef __GNUC__
# define attribute(list) __attribute__(list)
#else
# define attribute(list)
#endif

/* Define HAVE_GETRUSAGE if sys/resource.h declares getrusage()
 */
#ifndef HAVE_GETRUSAGE
# if defined(_MSC_VER) || defined(__MINGW32__)
#  define HAVE_GETRUSAGE 0
# else
#  define HAVE_GETRUSAGE 1
# endif
#endif

/* Define HAVE_ALARM if signal.h defines SIGALRM
 */
#ifndef HAVE_ALARM
# if defined(_MSC_VER) || defined(__MINGW32__)
#  define HAVE_ALARM 0
# else
#  define HAVE_ALARM 1
# endif
#endif
